/******************************************************************
SQL Saturday #326: October 25th, Tampa, FL.

"Clustered Columnstore Indexes: Internals and Design Considerations"
Dmitri V. Korotkevitch

email: dmitri@aboutsqlserver.com
blog: http://aboutsqlserver.com

02. Archive Compression
******************************************************************/
use SQLSat326
go

set statistics time, io on
go

dbcc dropcleanbuffers
go

select 
	max(ProductKey),max(OrderDateKey),max(DueDateKey)
	,max(ShipDateKey),max(CustomerKey),max(PromotionKey)
	,max(CurrencyKey),max(SalesTerritoryKey),max(SalesOrderLineNumber)
	,max(RevisionNumber),max(OrderQuantity),max(UnitPrice)
	,max(ExtendedAmount),max(UnitPriceDiscountPct),max(DiscountAmount)
	,max(ProductStandardCost),max(TotalProductCost),max(SalesAmount)
	,max(TaxAmt),max(Freight) 
from dbo.DemoSize_Columnstore
go

dbcc dropcleanbuffers
go

select 
	max(ProductKey),max(OrderDateKey),max(DueDateKey)
	,max(ShipDateKey),max(CustomerKey),max(PromotionKey)
	,max(CurrencyKey),max(SalesTerritoryKey),max(SalesOrderLineNumber)
	,max(RevisionNumber),max(OrderQuantity),max(UnitPrice)
	,max(ExtendedAmount),max(UnitPriceDiscountPct),max(DiscountAmount)
	,max(ProductStandardCost),max(TotalProductCost),max(SalesAmount)
	,max(TaxAmt),max(Freight) 
from dbo.DemoSize_ColumnstoreArchival
go

